Skip to main content
POST
/
api
/
2.0
/
lab_order_sets
Create Lab Order Set
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/lab_order_sets/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": {
    "collection_datetime": "2023-11-07T05:31:56Z",
    "icd10_codes": [
      {
        "code": "<string>",
        "description": "<string>"
      }
    ],
    "patient_instructions": "<string>",
    "standing_order_end_date": "2023-12-25",
    "standing_order_frequency": "<string>",
    "test_center_notes": "<string>",
    "tests": [
      {
        "icd10_codes": [
          {
            "code": "<string>",
            "description": "<string>"
          }
        ],
        "name": "<string>",
        "code": "<string>",
        "compendium": 123,
        "cpts": [
          "<string>"
        ],
        "lab_vendor": 123,
        "practice_created": 123,
        "procedure_class": "<string>",
        "questions": [
          {
            "question": {
              "choices": [
                {
                  "code": "<string>",
                  "value": "<string>"
                }
              ],
              "code": "<string>",
              "value": "<string>",
              "example_format": "<string>",
              "max_length": 32767,
              "secondary_code": "<string>"
            },
            "sequence": 32767,
            "required": true
          }
        ],
        "synonyms": [
          "<string>"
        ]
      }
    ]
  },
  "name": "<string>",
  "practice": 123,
  "lab_vendor": 123
}
'
{
  "content": {
    "collection_datetime": "2023-11-07T05:31:56Z",
    "icd10_codes": [
      {
        "code": "<string>",
        "description": "<string>"
      }
    ],
    "id": 123,
    "patient_instructions": "<string>",
    "standing_order_end_date": "2023-12-25",
    "standing_order_frequency": "<string>",
    "test_center_notes": "<string>",
    "tests": [
      {
        "icd10_codes": [
          {
            "code": "<string>",
            "description": "<string>"
          }
        ],
        "name": "<string>",
        "code": "<string>",
        "compendium": 123,
        "cpts": [
          "<string>"
        ],
        "created_date": "2023-11-07T05:31:56Z",
        "deleted_date": "2023-11-07T05:31:56Z",
        "id": 123,
        "lab_vendor": 123,
        "practice_created": 123,
        "procedure_class": "<string>",
        "questions": [
          {
            "question": {
              "choices": [
                {
                  "code": "<string>",
                  "value": "<string>",
                  "created_date": "2023-11-07T05:31:56Z",
                  "deleted_date": "2023-11-07T05:31:56Z",
                  "id": 123
                }
              ],
              "code": "<string>",
              "value": "<string>",
              "created_date": "2023-11-07T05:31:56Z",
              "deleted_date": "2023-11-07T05:31:56Z",
              "example_format": "<string>",
              "id": 123,
              "max_length": 32767,
              "secondary_code": "<string>"
            },
            "sequence": 32767,
            "required": true,
            "test": 123
          }
        ],
        "synonyms": [
          "<string>"
        ]
      }
    ]
  },
  "name": "<string>",
  "practice": 123,
  "compendium_code": "<string>",
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "id": 123,
  "lab_vendor": 123
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
content
object
required
name
string
required

The name of the lab order set.

Maximum string length: 250
practice
integer<int64>
required
lab_vendor
integer<int64> | null

Response

201 - application/json
content
object
required
name
string
required

The name of the lab order set.

Maximum string length: 250
practice
integer<int64>
required
compendium_code
string
read-only

RM-9598 Guard against missing code/name. Can't repro issue from ticket locally so being extra careful with the guards here.

created_date
string<date-time> | null
read-only

Time at which elation created this order. Can be different from chart_date when the order was imported into a chart from a different source and document_date when documenting an order that happened at some other time.

deleted_date
string<date-time> | null
read-only
id
integer
read-only
lab_vendor
integer<int64> | null